declare module '*.svg' {
  export default SVGAElement;
}
declare module '*.png';
declare module '*.jpg';
declare module '*.jpeg';
declare module '*.gif';
declare module '*.bmp';
declare module '*.tiff';

declare module '@element-plus/icons/lib/*.js' {
  import { VNode } from 'vue';
  export default VNode;
}

declare module '*.vue' {
  import type { DefineComponent } from 'vue';
  const component: DefineComponent;
  export default component;
}

export declare global {
  interface Window {
    vPlayArea: any;
    theSocket: any;
    VideoPlay: any;
    slectOptionmini: any;
    InitWebSocketClass: any;
    lib: any;
    rem: string | number | undefined | null;
    dpr: string | number | undefined | null;
    minemap: {
      Map: any;
      Marker: any;
      Popup: any;
      LngLat: any;
      util: {
        getJSON(url: string, callback: (error: Error, data: any) => void): void;
      };
    };
  }
}
